Bug 544136 - split perl files out into sub package
split perl files out into sub package
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: syslinux (Show other bugs)
14
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On: 559644
Blocks: FedoraMini/Mobility F14Blocker/F14FinalBlocker
  Show dependency treegraph
 
Reported: 2009-12-03 19:33 EST by Peter Robinson
Modified: 2010-08-23 12:00 EDT (History)
4 users (show)

See Also:
Fixed In Version: syslinux-4.02-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-23 12:00:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
split perl scripts into sub package (1.25 KB, application/octet-stream)
2010-01-14 18:18 EST, Peter Robinson
no flags Details
updates spec file for syslinux 4.02 (1.81 KB, patch)
2010-08-14 06:18 EDT, Peter Robinson
no flags Details | Diff

  None (edit)
Description Peter Robinson 2009-12-03 19:33:39 EST
Up until version 3.75-3 the perl dependency was suppressed and anaconda/liveinst still worked. It would be great to split the perl utils out into a sub package so Fedora Mini related spins can include the liveinst feature without needing to pull in 40 odd meg of perl.
Comment 1 Peter Robinson 2010-01-14 18:17:58 EST
Looking at this a little closer it seems that there are two perl scripts used by anaconda.

First looks like its used to generate a random password from a python script. The second is for making isohybrid images.

[perobinson@neo anaconda-13.21]$ grep -R md5pass *
booty/x86.py:            args.append("--md5pass=%s" %(self.password))
kickstart.py:            if self.md5pass:
kickstart.py:                anaconda.id.bootloader.setPassword(self.md5pass)
[perobinson@neo anaconda-13.21]$ grep -R isohybrid *
anaconda.spec:- Use isohybrid to make boot.iso a hybrid image (katzj)
anaconda.spec.in:- Use isohybrid to make boot.iso a hybrid image (katzj)
scripts/mk-images.x86:        if [ -x /usr/bin/isohybrid ]; then
scripts/mk-images.x86:            isohybrid $TOPDESTPATH/images/$BOOTISO || echo "Unable to make hybrid boot.iso"
Comment 2 Peter Robinson 2010-01-14 18:18:49 EST
Created attachment 384485 [details]
split perl scripts into sub package
Comment 3 Bug Zapper 2010-03-15 09:26:54 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Mads Kiilerich 2010-03-30 14:39:40 EDT
This would also mitigate the problem discussed in http://lists.fedoraproject.org/pipermail/livecd/2010-March/005706.html : that livecd-creator has hardcoded that syslinux must be installed into the image, even though its only use is that some of its files is copied to the isolinux folder.

I do however still think that the patch on http://lists.fedoraproject.org/pipermail/livecd/2010-March/005714.html would be a better solution to that problem.
Comment 5 Peter Robinson 2010-06-03 03:44:46 EDT
With isohybrid now ported to C [1] there's no perl dep in anaconda so there's no reason not to split this out so as to be able to remove perl from most live CDs.

[1] https://fedorahosted.org/fedora-engineering-services/ticket/15
Comment 6 Matthias Clasen 2010-06-19 11:09:00 EDT
This would be really nice. 

syslinux is the only thing pulling perl on the livecd now...
Comment 7 Bug Zapper 2010-07-30 06:48:02 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Peter Robinson 2010-08-14 06:18:05 EDT
Created attachment 438791 [details]
updates spec file for syslinux 4.02

Updated patch for the spec file for the 4.02 release that has the new C based isohybrid
Comment 9 Peter Robinson 2010-08-14 06:19:05 EDT
pjones: any chance of getting this in soon so we can remove the perl dep from the live images?
Comment 10 Matthias Clasen 2010-08-20 19:51:30 EDT
So, syslinux 4.02 is out now, but it our package still has a perl dependency.
Can we please drop it ?
Comment 11 Kevin Fenzi 2010-08-20 20:49:56 EDT
Yes please. This would be very nice to drop.
Comment 12 Peter Robinson 2010-08-23 12:00:06 EDT
Fixed in: https://admin.fedoraproject.org/updates/syslinux-4.02-3.fc14

Please verify and add karma

Note You need to log in before you can comment on or make changes to this bug.